@-ms-viewport {
  width: auto;
}

*{
  margin: 0;
  padding: 0;
}

body {
  overflow: hidden;
  min-height: 100vh;
  display: grid;
  grid-template-columns: 200px 1fr;
  grid-template-rows: auto 1fr auto 10px;
  grid-template-areas: 
  "navbar navbar"
  "sidebar main"
  "sidebar footer";
  background-color: #CCCCCC;
  color:#000000;
}

nav{
  top: 0;
  position: sticky;
  grid-area: navbar;
  background-color: rgb(255, 221, 15);
  color:#000000;
  padding: 7px 0px 5px 0px;
  font-family: "Courier New", Courier, monospace;
  text-align: right;
  font-size: 22px;
  font-style: normal;
  line-height: 10px;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  text-decoration: none; 
}

aside{
  height: calc(100vh - 22px);
  top: 22px;
  position: sticky;
  align-self: start;
  grid-area: sidebar;
  background-color: rgb(143, 143, 143);
  color: #000000;
}

main{
  grid-area: main;
  background-color: rgb(0, 0, 0);
  /*
  color: #ffffff;
  text-align: center;
  letter-spacing: 18px;
  */
}

footer{
  grid-area: footer;
  background-color: #ffdd0f;
  color:#000000;
  padding: 2px;
  font-family: "Courier New", Courier, monospace;
  text-align: center;
}

.buttonheat {
  color: white;
  background-color:#CCCCCC;
  border: 1px solid #000000;
  color:black;
  font-family: "Courier New", Courier, monospace;
  text-align: left;
  font-size: 20px;
  font-style: normal;
  line-height: 22px;
  padding: 0px 0px 0px 5px;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  text-decoration: none; 
  -webkit-transition-duration: 0.4s; /* Safari */
  transition-duration: 0.4s;
  cursor: pointer;
  letter-spacing: 14px;
}

.buttonhead {
  color: white;
  background-color:rgba(0, 0, 0, 100);
  border: 1px solid #000000;
  color: white;
  font-family: "Courier New", Courier, monospace;
  text-align: left;
  font-size: 20px;
  font-style: normal;
  line-height: 22px;
  padding: 0px 0px 0px 5px;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  text-decoration: none; 
  -webkit-transition-duration: 0.4s; /* Safari */
  transition-duration: 0.4s;
  cursor: pointer;
  letter-spacing: 14px;
}

.buttonhear {
  color: white;
  background-color:#CCCCCC;
  border: 1px solid #000000;
  color: rgb(0, 0, 0);
  font-family: "Courier New", Courier, monospace;
  text-align: left;
  font-size: 15px;
  font-style: normal;
  line-height: 16px;
  padding: 1px 1px 0px 4px;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  text-decoration: none; 
  -webkit-transition-duration: 0.4s; /* Safari */
  transition-duration: 0.4s;
  cursor: pointer;
  letter-spacing: 5px;
}

.buttonheal {
  color: white;
  background-color:rgba(0, 0, 0, 100);
  border: 1px solid #000000;
  color: white;
  font-family: "Courier New", Courier, monospace;
  text-align: left;
  font-size: 15px;
  font-style: normal;
  line-height: 16px;
  padding: 1px 1px 0px 4px;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  text-decoration: none; 
  -webkit-transition-duration: 0.4s; /* Safari */
  transition-duration: 0.4s;
  cursor: pointer;
  letter-spacing: 5px;
}

/*
.buttonhead:link, .buttonhead:visited {
  color: white;
  background-color: #000000;
  font-family: "Courier New", Courier, monospace;
  text-align: left;
  font-size: 20px;
  font-style: normal;
  line-height: 30px;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  text-decoration: none;
  cursor: pointer;
  letter-spacing: 5px;
}
*/
.buttonhear:hover, .buttonheat:active {
  background-color:grey;
  color: rgb(255, 255, 255);
  cursor: pointer;
}

.buttonheal:hover, .buttonhead:active {
  background-color:gray;
  color: black;
  cursor: pointer;
}

.buttonheat:hover, .buttonheat:active {
  background-color:grey;
  color: rgb(255, 255, 255);
  cursor: pointer;
}

.buttonhead:hover, .buttonhead:active {
  background-color:gray;
  color: black;
  cursor: pointer;
}

.thehead {
  position: absolute;
  left: -5px;
  top: -5px;
  z-index: 50;
}


